## termit 2.6.0

=== CMakeLists.txt ===
# Copyright (C) 2007-2010, Evgeny Ratnikov
#
# This file is part of termit.
# termit is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 
# as published by the Free Software Foundation.
# termit is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with termit. If not, see <http://www.gnu.org/licenses/>.

PROJECT(TERMIT)

cmake_minimum_required(VERSION 2.6.1 FATAL_ERROR)
SET(CMAKE_VERSION "${CMAKE_CACHE_MAJOR_VERSION}.${CMAKE_CACHE_MINOR_VERSION}.${CMAKE_CACHE_RELEASE_VERSION}")

INCLUDE(UsePkgConfig)

ADD_DEFINITIONS(-Wall)

SET(DEBUG FALSE CACHE BOOL "debug info")
SET(ENABLE_NLS TRUE CACHE BOOL "enable translation")

SET(TERMIT_PACKAGE "termit")
SET(TERMIT_PACKAGE_VERSION "2.6.0")
SET(TERMIT_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
SET(TERMIT_PACKAGE_NAME "termit - terminal emulator")
SET(TERMIT_PACKAGE_STRING "${TERMIT_PACKAGE} ${TERMIT_PACKAGE_VERSION}")
SET(TERMIT_PACKAGE_BUGREPORT "ratnikov.ev@gmail.com")

CONFIGURE_FILE(${TERMIT_SOURCE_DIR}/config.h.in ${TERMIT_SOURCE_DIR}/config.h)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake")

ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(src)
IF(ENABLE_NLS)
  ADD_SUBDIRECTORY(po)
ENDIF(ENABLE_NLS)
ADD_SUBDIRECTORY(utils)

MESSAGE("\n  termit ${TERMIT_PACKAGE_VERSION}\n")
MESSAGE("Prefix dir:.......... ${CMAKE_INSTALL_PREFIX}")
IF(ENABLE_NLS)
  MESSAGE("Locales dir:......... ${TERMIT_LOCALE_DIR}")
ENDIF(ENABLE_NLS)
MESSAGE("Debug:............... ${DEBUG}")
MESSAGE("\n")

=== po/CMakeLists.txt ===
SET(PO_FILES
  fr.po
  hu.po
  ko.po
  ru.po
  zh_TW.po)

SET(COPYRIGHT_HOLDER "Evgeny Ratnikov")
SET(POT_FILE termit.pot)

INCLUDE(${TERMIT_SOURCE_DIR}/src/Sources.cmake)

FIND_PROGRAM(XGETTEXT_EXECUTABLE xgettext)
FIND_PROGRAM(MSGFMT_EXECUTABLE msgfmt)
FIND_PROGRAM(MSGMERGE_EXECUTABLE msgmerge)
SET(ENABLE_NLS FALSE)
IF(XGETTEXT_EXECUTABLE AND MSGFMT_EXECUTABLE AND MSGMERGE_EXECUTABLE)
  SET(ENABLE_NLS TRUE)
ENDIF(XGETTEXT_EXECUTABLE AND MSGFMT_EXECUTABLE AND MSGMERGE_EXECUTABLE)
IF(NOT ENABLE_NLS)
  MESSAGE(SEND_ERROR "gettext utils not found, disabling gettext")
ELSE(NOT ENABLE_NLS)
  # Create PO Template file 'termit.pot'
  SET(PO_SOURCE_FILES)
  SET(PO_SOURCE_FILES_FULL_PATH)
  FOREACH(SRC_FILE ${TERMIT_SRCS})
    SET(PO_SOURCE_FILES ${PO_SOURCE_FILES} src/${SRC_FILE})
    SET(PO_SOURCE_FILES_FULL_PATH ${PO_SOURCE_FILES_FULL_PATH} ${TERMIT_SOURCE_DIR}/src/${SRC_FILE})
  ENDFOREACH(SRC_FILE ${TERMIT_SRCS})

  ADD_CUSTOM_COMMAND(
    OUTPUT ${POT_FILE}
    COMMAND ${XGETTEXT_EXECUTABLE}
    ARGS -o ${POT_FILE} -s --directory=${TERMIT_SOURCE_DIR} --omit-header --msgid-bugs-address=${TERMIT_PACKAGE_BUGREPORT} -c --keyword=_ --copyright-holder=${COPYRIGHT_HOLDER} ${PO_SOURCE_FILES}
    DEPENDS ${PO_SOURCE_FILES_FULL_PATH})
  ADD_CUSTOM_TARGET(pot DEPENDS ${PO_SOURCE_FILES_FULL_PATH} ${POT_FILE})

  # Update .po files and compile them into .gmo files
  SET(GMO_FILES)
  FOREACH(PO_FILE ${PO_FILES})
    GET_FILENAME_COMPONENT(LANG ${PO_FILE} NAME_WE)
    SET(_gmofile ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo)
    ADD_CUSTOM_COMMAND(
      OUTPUT ${_gmofile}
      COMMAND ${MSGMERGE_EXECUTABLE} ARGS --quiet --update -s ${CMAKE_CURRENT_SOURCE_DIR}/${PO_FILE} ${POT_FILE}
      COMMAND ${MSGFMT_EXECUTABLE} ARGS -o ${_gmofile} ${CMAKE_CURRENT_SOURCE_DIR}/${PO_FILE}
      DEPENDS ${POT_FILE} ${CMAKE_CURRENT_SOURCE_DIR}/${PO_FILE}
      COMMENT "Language: ${LANG}")
    INSTALL(FILES ${_gmofile} DESTINATION ${TERMIT_LOCALE_DIR}/${LANG}/LC_MESSAGES RENAME termit.mo)
    SET(GMO_FILES ${GMO_FILES} ${_gmofile})
  ENDFOREACH(PO_FILE ${PO_FILES})

  ADD_CUSTOM_TARGET(gmo ALL DEPENDS ${GMO_FILES})
  ADD_DEPENDENCIES(gmo pot)

  SET(TERMIT_DISTR_FILES "${POT_FILE} ${PO_FILES} CMakeLists.txt")
  SET(ENV{QQ} $ENV{QQ} ${TERMIT_DISTR_FILES})
ENDIF(NOT ENABLE_NLS)

=== src/CMakeLists.txt ===
# Copyright (C) 2007-2010, Evgeny Ratnikov
#
# This file is part of termit.
# termit is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 
# as published by the Free Software Foundation.
# termit is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with termit. If not, see <http://www.gnu.org/licenses/>.

SET(TARGET "termit")

INCLUDE_DIRECTORIES(${TERMIT_SOURCE_DIR})

INCLUDE (FindGTK)

INCLUDE (FindPkgConfig)
pkg_search_module(VTE REQUIRED libvte>=0.17.1 vte>=0.17.1)
IF(NOT VTE_FOUND)
  message(FATAL_ERROR "vte library not found")
ENDIF(NOT VTE_FOUND)

INCLUDE(FindLua51)
IF(NOT LUA51_FOUND)
  message(FATAL_ERROR "lua 5.1 not found")
ENDIF(NOT LUA51_FOUND)

INCLUDE(Sources.cmake)

SET(TERMIT_CFLAGS "-I${LUA_INCLUDE_DIR}")
foreach(cflag ${VTE_CFLAGS} ${GTK_CFLAGS})
  set(TERMIT_CFLAGS "${TERMIT_CFLAGS} ${cflag}")
endforeach(cflag)

IF(DEBUG)
  #SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} -g -D DEBUG")
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} -g -D DEBUG -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE")
ENDIF(DEBUG)

set(TERMIT_LDFLAGS ${VTE_LDFLAGS} ${GTK_LDFLAGS})

SET_SOURCE_FILES_PROPERTIES(${TERMIT_SRCS} PROPERTIES 
  COMPILE_FLAGS "${TERMIT_CFLAGS}")

ADD_EXECUTABLE(${TARGET} ${TERMIT_SRCS})

#set_target_properties(${TARGET} PROPERTIES 
#  LINK_FLAGS ${TERMIT_LDFLAGS})
#set_target_properties(${TARGET} PROPERTIES LINK_FLAGS ${TERMIT_LDFLAGS})

SET(TERMIT_LDFLAGS "")
FOREACH(ldflag ${VTE_LDFLAGS} ${GTK_LDFLAGS})
  SET(TERMIT_LDFLAGS "${TERMIT_LDFLAGS} ${ldflag}")
ENDFOREACH(ldflag)
set_target_properties(${TARGET} PROPERTIES LINK_FLAGS "${TERMIT_LDFLAGS}")

target_link_libraries(${TARGET} ${LUA_LIBRARIES})

INSTALL(TARGETS ${TARGET} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== debian/changelog ===
termit (2.6.0-1) unstable; urgency=low

  * Initial release (Closes: #576409)

 -- Tomas Fasth <tomfa@debian.org>  Tue, 11 Jan 2011 16:39:12 +0100

=== debian/control ===
Source: termit
Section: misc
Priority: optional
Maintainer: Tomas Fasth <tomfa@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), cmake, libgtk2.0-dev, libvte-dev, liblua5.1-0-dev
Standards-Version: 3.8.4
Homepage: https://github.com/nonstop/termit/wiki
Vcs-Git: git://github.com/nonstop/termit.git
Vcs-Browser: https://github.com/nonstop/termit

Package: termit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple terminal emulator based on vte library, embedded lua
 Support features like multiple tabs, switching encodings, sessions,
 configurable keybindings, embedded Lua language and xterm-like dynamic
 window title

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk


# Add here any variable or target overrides you need.

## termit 2.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # You should have received a copy of the GNU General Public License
 # along with termit. If not, see <http://www.gnu.org/licenses/>.
 
-PROJECT(TERMIT)
+PROJECT(TERMIT C)
 
 cmake_minimum_required(VERSION 2.6.1 FATAL_ERROR)
 SET(CMAKE_VERSION "${CMAKE_CACHE_MAJOR_VERSION}.${CMAKE_CACHE_MINOR_VERSION}.${CMAKE_CACHE_RELEASE_VERSION}")
@@ -20,12 +20,25 @@
 
 ADD_DEFINITIONS(-Wall)
 
+SET(DEFAULT_XDG_DIR "/etc/xdg")
+string(REPLACE ":" ";" XDG_DIRS "$ENV{XDG_CONFIG_DIRS}")
+FOREACH(xdgDir ${XDG_DIRS})
+  SET(XDG_DIR ${xdgDir})
+  BREAK()
+ENDFOREACH()
+
+IF(NOT XDG_DIR)
+  SET(XDG_DIR "/etc/xdg")
+ENDIF(NOT XDG_DIR)
+
 SET(DEBUG FALSE CACHE BOOL "debug info")
 SET(ENABLE_NLS TRUE CACHE BOOL "enable translation")
+SET(XDG_DIR ${XDG_DIR} CACHE STRING "default xdg dir")
 
 SET(TERMIT_PACKAGE "termit")
-SET(TERMIT_PACKAGE_VERSION "2.6.0")
+SET(TERMIT_PACKAGE_VERSION "2.9.4")
 SET(TERMIT_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
+SET(TERMIT_XDG_DIR "${XDG_DIR}/termit")
 SET(TERMIT_PACKAGE_NAME "termit - terminal emulator")
 SET(TERMIT_PACKAGE_STRING "${TERMIT_PACKAGE} ${TERMIT_PACKAGE_VERSION}")
 SET(TERMIT_PACKAGE_BUGREPORT "ratnikov.ev@gmail.com")
@@ -45,12 +58,14 @@
   ADD_SUBDIRECTORY(po)
 ENDIF(ENABLE_NLS)
 ADD_SUBDIRECTORY(utils)
+ADD_SUBDIRECTORY(etc)
 
 MESSAGE("\n  termit ${TERMIT_PACKAGE_VERSION}\n")
 MESSAGE("Prefix dir:.......... ${CMAKE_INSTALL_PREFIX}")
 IF(ENABLE_NLS)
   MESSAGE("Locales dir:......... ${TERMIT_LOCALE_DIR}")
 ENDIF(ENABLE_NLS)
+MESSAGE("Xdg dir:............. ${TERMIT_XDG_DIR}")
 MESSAGE("Debug:............... ${DEBUG}")
 MESSAGE("\n")

=== doc/CMakeLists.txt ===
# Copyright (C) 2007-2010, Evgeny Ratnikov
#
# This file is part of termit.
# termit is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 
# as published by the Free Software Foundation.
# termit is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with termit. If not, see <http://www.gnu.org/licenses/>.

SET(TERMIT_DOCS ../COPYING README lua_api.txt rc.lua.example)

INSTALL(FILES ${TERMIT_DOCS} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/${TERMIT_PACKAGE})
INSTALL(FILES termit.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
INSTALL(FILES termit.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,11 @@
 SET(PO_FILES
+  de.po
+  es.po
   fr.po
   hu.po
+  ja.po
   ko.po
+  pl.po
   ru.po
   zh_TW.po)

=== src/CMakeLists.txt ===
# Copyright (C) 2007-2010, Evgeny Ratnikov
#
# This file is part of termit.
# termit is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 
# as published by the Free Software Foundation.
# termit is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with termit. If not, see <http://www.gnu.org/licenses/>.

SET(TARGET "termit")

INCLUDE_DIRECTORIES(${TERMIT_SOURCE_DIR})

INCLUDE (FindGTK)

INCLUDE (FindPkgConfig)
pkg_search_module(VTE REQUIRED libvte>=0.17 vte>=0.17)
IF(NOT VTE_FOUND)
  message(FATAL_ERROR "vte library not found")
ENDIF(NOT VTE_FOUND)

SET(LUA_INCLUDE_DIR "/usr/include" CACHE STRING "Lua include dir")
SET(LUA_LIBRARIES "/usr/lib/liblua.a" CACHE STRING "Lua libraries")

IF(NOT LUA_INCLUDE_DIR OR NOT LUA_LIBRARIES)
  INCLUDE(FindLua51)
  IF(NOT LUA51_FOUND)
    message(FATAL_ERROR "lua 5.1 not found")
  ENDIF(NOT LUA51_FOUND)
ENDIF(NOT LUA_INCLUDE_DIR OR NOT LUA_LIBRARIES)

INCLUDE(Sources.cmake)

SET(TERMIT_CFLAGS "-I${LUA_INCLUDE_DIR}")
FOREACH(cflag ${VTE_CFLAGS} ${GTK_CFLAGS})
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} ${cflag}")
ENDFOREACH(cflag)

IF(NOT ${VTE_VERSION} LESS "0.26")
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} -DTERMIT_ENABLE_SEARCH")
ENDIF(NOT ${VTE_VERSION} LESS "0.26")

IF(DEBUG)
  SET(EXTRA_CFLAGS "-Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter")
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} ${EXTRA_CFLAGS} -g -D DEBUG -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE")
ELSE(DEBUG)
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} -O2")
ENDIF(DEBUG)

set(TERMIT_LDFLAGS ${VTE_LDFLAGS} ${GTK_LDFLAGS})

SET_SOURCE_FILES_PROPERTIES(${TERMIT_SRCS} PROPERTIES 
  COMPILE_FLAGS "${TERMIT_CFLAGS}")

ADD_EXECUTABLE(${TARGET} ${TERMIT_SRCS})

SET(TERMIT_LDFLAGS "-ldl")
FOREACH(ldflag ${VTE_LDFLAGS} ${GTK_LDFLAGS})
  LIST(APPEND TERMIT_LDFLAGS "${ldflag}")
ENDFOREACH(ldflag)

target_link_libraries(${TARGET} ${TERMIT_LDFLAGS} ${LUA_LIBRARIES})

INSTALL(TARGETS ${TARGET} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== debian/changelog ===
termit (2.9.4-2) unstable; urgency=low

  * Resolved section disparity between package and override by
    changing section from misc to x11 in control file.

 -- Tomas Fasth <tomfa@debian.org>  Mon, 18 Jun 2012 02:04:50 +0200

termit (2.9.4-1) unstable; urgency=low

  * add watchfile
  * fix copyright lintian warning
  * switch from cdbs to debhelper
  * Do not install upstream's INSTALL
  * New upstream version 2.9.4 (Closes: #635514)
  * update policy version to 3.9.3
  * Set myself as maintainer
  * Machine readable copyright
  * correct VCS-* fields (Closes: #661466)
  * provide termit as alternative for x-terminal-emulator.
    Thanks to Nobuhiro Iwamatsu <iwamatsu@debian.org> (Closes: #617198)

 -- Thomas Koch <thomas@koch.ro>  Thu, 14 Jun 2012 20:08:18 +0200

=== debian/control ===
Source: termit
Section: x11
Priority: optional
Maintainer: Thomas Koch <thomas@koch.ro>
Uploaders: Tomas fasth <tomfa@debian.org>
Build-Depends: debhelper (>= 8), cmake, libgtk2.0-dev, libvte-dev, liblua5.2-dev
Standards-Version: 3.9.3
Homepage: https://github.com/nonstop/termit/wiki
Vcs-Git: git://anonscm.debian.org/collab-maint/termit.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/termit.git

Package: termit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Description: Simple terminal emulator based on vte library, embedded lua
 Support features like multiple tabs, switching encodings, sessions,
 configurable keybindings, embedded Lua language and xterm-like dynamic
 window title

=== debian/watch ===
version=3

https://github.com/nonstop/termit/tags \
 /nonstop/termit/tarball/termit-([\d\.]+)

## termit 2.10.0-2

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 SET(XDG_DIR ${XDG_DIR} CACHE STRING "default xdg dir")
 
 SET(TERMIT_PACKAGE "termit")
-SET(TERMIT_PACKAGE_VERSION "2.9.4")
+SET(TERMIT_PACKAGE_VERSION "2.10.0")
 SET(TERMIT_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 SET(TERMIT_XDG_DIR "${XDG_DIR}/termit")
 SET(TERMIT_PACKAGE_NAME "termit - terminal emulator")
@@ -66,6 +66,9 @@
   MESSAGE("Locales dir:......... ${TERMIT_LOCALE_DIR}")
 ENDIF(ENABLE_NLS)
 MESSAGE("Xdg dir:............. ${TERMIT_XDG_DIR}")
+message("Gtk:................. ${GTK_VERSION}")
+message("Vte:................. ${VTE_VERSION}")
+message("Lua:................. ${LUA_VERSION}")
 MESSAGE("Debug:............... ${DEBUG}")
-MESSAGE("\n")
+MESSAGE("")

=== etc/CMakeLists.txt ===
# Copyright (C) 2007-2010, Evgeny Ratnikov
#
# This file is part of termit.
# termit is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 
# as published by the Free Software Foundation.
# termit is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with termit. If not, see <http://www.gnu.org/licenses/>.

SET(TERMIT_ETC termit/rc.lua termit/colormaps.lua termit/utils.lua)

INSTALL(FILES ${TERMIT_ETC} DESTINATION ${TERMIT_XDG_DIR})

=== src/CMakeLists.txt ===
# Copyright (C) 2007-2010, Evgeny Ratnikov
#
# This file is part of termit.
# termit is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 
# as published by the Free Software Foundation.
# termit is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with termit. If not, see <http://www.gnu.org/licenses/>.

SET(TARGET "termit")

INCLUDE_DIRECTORIES(${TERMIT_SOURCE_DIR})

INCLUDE (FindPkgConfig)

SET(GTK_VERSION "" CACHE STRING "Gtk version")
IF(GTK_VERSION STREQUAL "")
  pkg_search_module(GTK REQUIRED gtk+-3.0 gtk+-2.0>=2.24)
ELSE(GTK_VERSION STREQUAL "")
  pkg_search_module(GTK REQUIRED gtk+-3.0=${GTK_VERSION} gtk+-2.0=${GTK_VERSION})
ENDIF(GTK_VERSION STREQUAL "")
IF(NOT GTK_FOUND)
  message(FATAL_ERROR "Gtk library was not found.")
ENDIF(NOT GTK_FOUND)

SET(VTE_VERSION "" CACHE STRING "Vte version")
IF(VTE_VERSION STREQUAL "")
  pkg_search_module(VTE REQUIRED vte-2.90 libvte>=0.28 vte>=0.28)
ELSE(VTE_VERSION STREQUAL "")
  pkg_search_module(VTE REQUIRED vte-2.90=${VTE_VERSION} libvte=${VTE_VERSION} vte=${VTE_VERSION})
ENDIF(VTE_VERSION STREQUAL "")
IF(NOT VTE_FOUND)
  message(FATAL_ERROR "Vte library was not found.")
ENDIF(NOT VTE_FOUND)

IF(VTE_VERSION GREATER "0.29" OR VTE_VERSION EQUAL "0.29")
  IF(GTK_VERSION LESS "3.0")
    message(FATAL_ERROR "Vte ${VTE_VERSION} requires at least Gtk+-3.0.")
  ENDIF(GTK_VERSION LESS "3.0")
ELSE(VTE_VERSION GREATER "0.29" OR VTE_VERSION EQUAL "0.29")
  IF(GTK_VERSION GREATER "3.0" OR GTK_VERSION EQUAL "3.0")
    message(FATAL_ERROR "Vte ${VTE_VERSION} requires Gtk+-2.0.")
  ENDIF(GTK_VERSION GREATER "3.0" OR GTK_VERSION EQUAL "3.0")
ENDIF(VTE_VERSION GREATER "0.29" OR VTE_VERSION EQUAL "0.29")

SET(LUA_VERSION "" CACHE STRING "Lua version")
IF(LUA_VERSION STREQUAL "")
    IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
       pkg_search_module(LUA REQUIRED lua52)
    ELSE(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
       pkg_search_module(LUA REQUIRED lua>=5.0 lua5.2 lua5.1)
    ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
ELSE(LUA_VERSION STREQUAL "")
  pkg_search_module(LUA REQUIRED
    lua=${LUA_VERSION} lua5.2=${LUA_VERSION} lua5.1=${LUA_VERSION} lua5.0=${LUA_VERSION})
ENDIF(LUA_VERSION STREQUAL "")
IF(NOT LUA_FOUND)
  message(FATAL_ERROR "Lua library was not found.")
ENDIF(NOT LUA_FOUND)

INCLUDE(Sources.cmake)

SET(TERMIT_CFLAGS "-I${LUA_INCLUDE_DIR}")
IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} -I/usr/local/include")
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
FOREACH(cflag ${VTE_CFLAGS} ${GTK_CFLAGS} ${LUA_CFLAGS})
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} ${cflag}")
ENDFOREACH(cflag)

IF(DEBUG)
  SET(EXTRA_CFLAGS "-Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter")
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} ${EXTRA_CFLAGS} -g -DDEBUG -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE")
ELSE(DEBUG)
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} -O2")
ENDIF(DEBUG)

set(TERMIT_LDFLAGS ${VTE_LDFLAGS} ${GTK_LDFLAGS})

SET_SOURCE_FILES_PROPERTIES(${TERMIT_SRCS} PROPERTIES 
  COMPILE_FLAGS "${TERMIT_CFLAGS}")

ADD_EXECUTABLE(${TARGET} ${TERMIT_SRCS})

IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
    SET(TERMIT_LDFLAGS"-llua5.2")
ELSE(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
    SET(TERMIT_LDFLAGS "-ldl -lm")
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
FOREACH(ldflag ${VTE_LDFLAGS} ${GTK_LDFLAGS} ${LUA_LDFLAGS})
  LIST(APPEND TERMIT_LDFLAGS "${ldflag}")
ENDFOREACH(ldflag)

target_link_libraries(${TARGET} ${TERMIT_LDFLAGS})

INSTALL(TARGETS ${TARGET} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== utils/CMakeLists.txt ===
# Copyright (C) 2007-2010, Evgeny Ratnikov
#
# This file is part of termit.
# termit is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 
# as published by the Free Software Foundation.
# termit is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with termit. If not, see <http://www.gnu.org/licenses/>.

# Slackware SlackBuild
CONFIGURE_FILE(termit.SlackBuild.in ${TERMIT_SOURCE_DIR}/utils/termit.SlackBuild @ONLY)
# Gentoo ebuild
CONFIGURE_FILE(termit.ebuild ${TERMIT_SOURCE_DIR}/utils/termit-${TERMIT_PACKAGE_VERSION}.ebuild COPY_ONLY)
# Fedora spec
CONFIGURE_FILE(termit.spec.in ${TERMIT_SOURCE_DIR}/utils/termit.spec @ONLY)

## termit 2.10.0-2-gb8280ed

=== debian/changelog ===
termit (2.10.0-2-gb8280ed-1) unstable; urgency=low

  [ Sascha Steinbiss ]
  * make notebook borders configurable

  [ Thomas Koch ]
  * clean utils/termit-*.ebuild independent of version
  * update standards-version to 3.9.5, no changes

  [ Evgeny Ratnikov ]
  * prevent building termit with incompatible Gtk and Vte versions
  * one setTabPos to replace moveLeft, moveRight
  * added support for --title option
  * changed -e option now it works similar to xterm all argument after -e option
    are passed to execvp so if you want to use it, be careful most of time it
    should be at the end of argument list
  * fixed compilation on OpenBSD

 -- Thomas Koch <thomas@koch.ro>  Sun, 13 Apr 2014 18:40:08 +0200

termit (2.9.6-1) experimental; urgency=low

  [ Thomas Koch ]
  * update standards-version to 3.9.4
  * better watch file.
    Thanks to Bart Martens <bartm@debian.org>
  * Fix VCS-Browser tag in debian/control (Closes: #693119)
  * rm obsolete patch: fix/build_with_lua52
  * correct debhelper version to align with compat to 9

 -- Thomas Koch <thomas@koch.ro>  Fri, 05 Apr 2013 20:12:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Thomas Koch <thomas@koch.ro>
 Uploaders: Tomas fasth <tomfa@debian.org>
-Build-Depends: debhelper (>= 8), cmake, libgtk2.0-dev, libvte-dev, liblua5.2-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), cmake, libgtk2.0-dev, libvte-dev, liblua5.2-dev
+Standards-Version: 3.9.5
 Homepage: https://github.com/nonstop/termit/wiki
 Vcs-Git: git://anonscm.debian.org/collab-maint/termit.git
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/termit.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/termit.git
 
 Package: termit
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DOCDIR=debian/termit/usr/share/doc/termit

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm ${DOCDIR}/COPYING

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/nonstop/termit/tags .*/termit-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 15:36:08 +0000

## termit 3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,17 @@
-# Copyright (C) 2007-2010, Evgeny Ratnikov
+# Copyright © 2007-2016 Evgeny Ratnikov
 #
-# This file is part of termit.
-# termit is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 
-# as published by the Free Software Foundation.
-# termit is distributed in the hope that it will be useful,
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
+#
 # You should have received a copy of the GNU General Public License
-# along with termit. If not, see <http://www.gnu.org/licenses/>.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 PROJECT(TERMIT C)
 
@@ -36,7 +38,7 @@
 SET(XDG_DIR ${XDG_DIR} CACHE STRING "default xdg dir")
 
 SET(TERMIT_PACKAGE "termit")
-SET(TERMIT_PACKAGE_VERSION "2.10.0")
+SET(TERMIT_PACKAGE_VERSION "3.0.0")
 SET(TERMIT_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 SET(TERMIT_XDG_DIR "${XDG_DIR}/termit")
 SET(TERMIT_PACKAGE_NAME "termit - terminal emulator")

=== doc/CMakeLists.txt ===
# Copyright © 2007-2016 Evgeny Ratnikov
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SET(TERMIT_DOCS ../COPYING README lua_api.txt rc.lua.example)

INSTALL(FILES ${TERMIT_DOCS} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/${TERMIT_PACKAGE})
INSTALL(FILES termit.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
INSTALL(FILES termit.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
INSTALL(FILES termit.appdata.xml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/appdata)

=== etc/CMakeLists.txt ===
# Copyright © 2007-2016 Evgeny Ratnikov
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SET(TERMIT_ETC termit/rc.lua termit/colormaps.lua termit/utils.lua)

INSTALL(FILES ${TERMIT_ETC} DESTINATION ${TERMIT_XDG_DIR})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
   ko.po
   pl.po
   ru.po
+  sv.po
   zh_TW.po)
 
 SET(COPYRIGHT_HOLDER "Evgeny Ratnikov")

=== src/CMakeLists.txt ===
# Copyright © 2007-2016 Evgeny Ratnikov
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SET(TARGET "termit")

INCLUDE_DIRECTORIES(${TERMIT_SOURCE_DIR})

INCLUDE (FindPkgConfig)

pkg_search_module(GTK REQUIRED gtk+-3.0>=3.18.9)
pkg_search_module(VTE REQUIRED libvte>=0.42.5 vte>=0.42.5 vte-2.91>=0.42.5)
IF(NOT VTE_FOUND)
  message(FATAL_ERROR "Vte library was not found.")
ENDIF(NOT VTE_FOUND)

SET(LUA_VERSION "" CACHE STRING "Lua version")
IF(LUA_VERSION STREQUAL "")
    IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
       pkg_search_module(LUA REQUIRED lua53 lua52)
    ELSE(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
       pkg_search_module(LUA REQUIRED lua>=5.2 lua5.3 lua5.2)
    ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
ELSE(LUA_VERSION STREQUAL "")
  pkg_search_module(LUA REQUIRED
    lua=${LUA_VERSION} lua5.3=${LUA_VERSION} lua5.2=${LUA_VERSION})
ENDIF(LUA_VERSION STREQUAL "")
IF(NOT LUA_FOUND)
  message(FATAL_ERROR "Lua library was not found.")
ENDIF(NOT LUA_FOUND)

INCLUDE(Sources.cmake)

SET(TERMIT_CFLAGS "-I${LUA_INCLUDE_DIR}")
IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} -I/usr/local/include")
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
FOREACH(cflag ${VTE_CFLAGS} ${GTK_CFLAGS} ${LUA_CFLAGS})
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} ${cflag}")
ENDFOREACH(cflag)

IF(DEBUG)
  SET(EXTRA_CFLAGS "-std=c99 -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter")
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} ${EXTRA_CFLAGS} -g -DDEBUG -DGTK_DISABLE_DEPRECATED")
ELSE(DEBUG)
  SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} -O2")
ENDIF(DEBUG)

set(TERMIT_LDFLAGS ${VTE_LDFLAGS} ${GTK_LDFLAGS})

SET_SOURCE_FILES_PROPERTIES(${TERMIT_SRCS} PROPERTIES 
  COMPILE_FLAGS "${TERMIT_CFLAGS}")

ADD_EXECUTABLE(${TARGET} ${TERMIT_SRCS})

IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
    SET(TERMIT_LDFLAGS"-llua5.2")
ELSE(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
    SET(TERMIT_LDFLAGS "-ldl -lm")
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
FOREACH(ldflag ${VTE_LDFLAGS} ${LUA_LDFLAGS})
  LIST(APPEND TERMIT_LDFLAGS "${ldflag}")
ENDFOREACH(ldflag)
LIST(APPEND TERMIT_LDFLAGS "-lX11")

target_link_libraries(${TARGET} ${TERMIT_LDFLAGS})

INSTALL(TARGETS ${TARGET} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== debian/changelog ===
termit (3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Koch ]
  * update Standards-Version, no changes
  * update debhelper 9->12, use debhelper-compat
  * fix Lintian warning on d/copyright
  * correct SPDX id: s/GPL-3+/GPL-3.0+/

 -- Thomas Koch <thomas@koch.ro>  Sun, 29 Dec 2019 18:13:48 +0000

termit (3.0-1) unstable; urgency=low

  [ Thomas Koch ]
  * new upstream version 3.0
  * upstream license changed from GPL-2 to GPL-3+
  * breaking change: wordChars replaced with wordCharExceptions
  * breaking change: removed options imageFile, transparency, visibleBell
  * update standards-version to 3.9.8, no changes

 -- Thomas Koch <thomas@koch.ro>  Mon, 18 Jul 2016 22:26:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,16 @@
 Priority: optional
 Maintainer: Thomas Koch <thomas@koch.ro>
 Uploaders: Tomas fasth <tomfa@debian.org>
-Build-Depends: debhelper (>= 9), cmake, libgtk2.0-dev, libvte-dev, liblua5.2-dev
-Standards-Version: 3.9.5
+Build-Depends:
+ debhelper-compat (= 12),
+ cmake,
+ libgtk-3-dev,
+ liblua5.2-dev,
+ libvte-2.91-dev,
+Standards-Version: 4.4.1
 Homepage: https://github.com/nonstop/termit/wiki
-Vcs-Git: git://anonscm.debian.org/collab-maint/termit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/termit.git
+Vcs-Git: https://salsa.debian.org/debian/termit.git
+Vcs-Browser: https://salsa.debian.org/debian/termit
 
 Package: termit
 Architecture: any

## termit 3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 SET(XDG_DIR ${XDG_DIR} CACHE STRING "default xdg dir")
 
 SET(TERMIT_PACKAGE "termit")
-SET(TERMIT_PACKAGE_VERSION "3.0.0")
+SET(TERMIT_PACKAGE_VERSION "3.1.0")
 SET(TERMIT_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 SET(TERMIT_XDG_DIR "${XDG_DIR}/termit")
 SET(TERMIT_PACKAGE_NAME "termit - terminal emulator")

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -18,5 +18,5 @@
 INSTALL(FILES ${TERMIT_DOCS} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/${TERMIT_PACKAGE})
 INSTALL(FILES termit.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
 INSTALL(FILES termit.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
-INSTALL(FILES termit.appdata.xml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/appdata)
+INSTALL(FILES termit.metainfo.xml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/metainfo)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -59,5 +59,4 @@
   ADD_DEPENDENCIES(gmo pot)
 
   SET(TERMIT_DISTR_FILES "${POT_FILE} ${PO_FILES} CMakeLists.txt")
-  SET(ENV{QQ} $ENV{QQ} ${TERMIT_DISTR_FILES})
 ENDIF(NOT ENABLE_NLS)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 INCLUDE (FindPkgConfig)
 
-pkg_search_module(GTK REQUIRED gtk+-3.0>=3.18.9)
-pkg_search_module(VTE REQUIRED libvte>=0.42.5 vte>=0.42.5 vte-2.91>=0.42.5)
+pkg_search_module(GTK REQUIRED gtk+-3.0>=3.22)
+pkg_search_module(VTE REQUIRED libvte>=0.46 vte>=0.46 vte-2.91>=0.46)
 IF(NOT VTE_FOUND)
   message(FATAL_ERROR "Vte library was not found.")
 ENDIF(NOT VTE_FOUND)
@@ -28,13 +28,13 @@
 SET(LUA_VERSION "" CACHE STRING "Lua version")
 IF(LUA_VERSION STREQUAL "")
     IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
-       pkg_search_module(LUA REQUIRED lua53 lua52)
+       pkg_search_module(LUA REQUIRED lua53)
     ELSE(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
-       pkg_search_module(LUA REQUIRED lua>=5.2 lua5.3 lua5.2)
+       pkg_search_module(LUA REQUIRED lua>=5.3 lua5.3)
     ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
 ELSE(LUA_VERSION STREQUAL "")
   pkg_search_module(LUA REQUIRED
-    lua=${LUA_VERSION} lua5.3=${LUA_VERSION} lua5.2=${LUA_VERSION})
+    lua=${LUA_VERSION} lua5.3=${LUA_VERSION})
 ENDIF(LUA_VERSION STREQUAL "")
 IF(NOT LUA_FOUND)
   message(FATAL_ERROR "Lua library was not found.")
@@ -65,7 +65,7 @@
 ADD_EXECUTABLE(${TARGET} ${TERMIT_SRCS})
 
 IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
-    SET(TERMIT_LDFLAGS"-llua5.2")
+    SET(TERMIT_LDFLAGS"-llua5.3")
 ELSE(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
     SET(TERMIT_LDFLAGS "-ldl -lm")
 ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")

=== utils/CMakeLists.txt ===
# Copyright © 2007-2016 Evgeny Ratnikov
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Slackware SlackBuild
CONFIGURE_FILE(termit.SlackBuild.in ${TERMIT_SOURCE_DIR}/utils/termit.SlackBuild @ONLY)
# Fedora spec
CONFIGURE_FILE(termit.spec.in ${TERMIT_SOURCE_DIR}/utils/termit.spec @ONLY)

=== debian/changelog ===
termit (3.1-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:23:12 +1100

termit (3.1-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:06:48 +0000

termit (3.1-3) unstable; urgency=medium

  * Fix FTBS when building with pkgconf (Closes: #987953, #1026519).
  * Bump to Standards-Version 4.6.2 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Fri, 30 Dec 2022 23:31:00 +0100

termit (3.1-2) unstable; urgency=medium

  * Adopt the package (Closes:#1019014).
  * Add hardening options.
  * Fix copyright issues and add new holders.
  * Add Rules-Requires-Root: no stanza in d/control.
  * Bump watch file compatibility level to 4.
  * Bump debhelper-compat to 13.
  * Add upstream metadata.
  * Bump to Standards-Version 4.6.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Fri, 09 Sep 2022 18:14:34 +0200

termit (3.1-1) unstable; urgency=medium

  * New upstream version
  * update Standards-Version, 4.4->4.5, no changes

 -- Thomas Koch <thomas@koch.ro>  Thu, 20 Feb 2020 13:19:15 +0000

=== debian/control ===
Source: termit
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marcos Fouces <marcos@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libgtk-3-dev,
 liblua5.3-dev,
 libvte-2.91-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/nonstop/termit/wiki
Vcs-Git: https://salsa.debian.org/debian/termit.git
Vcs-Browser: https://salsa.debian.org/debian/termit
Rules-Requires-Root: no

Package: termit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Description: Simple terminal emulator based on vte library, embedded Lua
 Support features like multiple tabs, switching encodings, sessions,
 configurable keybindings, embedded Lua language and xterm-like dynamic
 window title

## termit 3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2007-2016 Evgeny Ratnikov
+# Copyright © 2007-2023 Evgeny Ratnikov
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -13,9 +13,9 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
+cmake_minimum_required(VERSION 3.6.0 FATAL_ERROR)
 PROJECT(TERMIT C)
 
-cmake_minimum_required(VERSION 2.6.1 FATAL_ERROR)
 SET(CMAKE_VERSION "${CMAKE_CACHE_MAJOR_VERSION}.${CMAKE_CACHE_MINOR_VERSION}.${CMAKE_CACHE_RELEASE_VERSION}")
 
 INCLUDE(UsePkgConfig)

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2007-2016 Evgeny Ratnikov
+# Copyright © 2007-2023 Evgeny Ratnikov
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -13,7 +13,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-SET(TERMIT_DOCS ../COPYING README lua_api.txt rc.lua.example)
+SET(TERMIT_DOCS ../COPYING README lua_api.md rc.lua.example)
 
 INSTALL(FILES ${TERMIT_DOCS} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/${TERMIT_PACKAGE})
 INSTALL(FILES termit.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)

=== etc/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2007-2016 Evgeny Ratnikov
+# Copyright © 2007-2023 Evgeny Ratnikov
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
 SET(PO_FILES
+  ca.po
+  da.po
   de.po
   es.po
   fr.po
   hu.po
   ja.po
   ko.po
+  nl.po
   pl.po
   ru.po
   sv.po
@@ -60,3 +63,4 @@
 
   SET(TERMIT_DISTR_FILES "${POT_FILE} ${PO_FILES} CMakeLists.txt")
 ENDIF(NOT ENABLE_NLS)
+

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2007-2016 Evgeny Ratnikov
+# Copyright © 2007-2023 Evgeny Ratnikov
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -20,7 +20,7 @@
 INCLUDE (FindPkgConfig)
 
 pkg_search_module(GTK REQUIRED gtk+-3.0>=3.22)
-pkg_search_module(VTE REQUIRED libvte>=0.46 vte>=0.46 vte-2.91>=0.46)
+pkg_search_module(VTE REQUIRED libvte>=0.68 vte>=0.68 vte-2.91>=0.68)
 IF(NOT VTE_FOUND)
   message(FATAL_ERROR "Vte library was not found.")
 ENDIF(NOT VTE_FOUND)
@@ -28,13 +28,13 @@
 SET(LUA_VERSION "" CACHE STRING "Lua version")
 IF(LUA_VERSION STREQUAL "")
     IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
-       pkg_search_module(LUA REQUIRED lua53)
+       pkg_search_module(LUA REQUIRED lua54)
     ELSE(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
-       pkg_search_module(LUA REQUIRED lua>=5.3 lua5.3)
+       pkg_search_module(LUA REQUIRED lua>=5.4 lua5.4)
     ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
 ELSE(LUA_VERSION STREQUAL "")
   pkg_search_module(LUA REQUIRED
-    lua=${LUA_VERSION} lua5.3=${LUA_VERSION})
+    lua=${LUA_VERSION} lua5.4=${LUA_VERSION})
 ENDIF(LUA_VERSION STREQUAL "")
 IF(NOT LUA_FOUND)
   message(FATAL_ERROR "Lua library was not found.")
@@ -42,7 +42,7 @@
 
 INCLUDE(Sources.cmake)
 
-SET(TERMIT_CFLAGS "-I${LUA_INCLUDE_DIR}")
+SET(TERMIT_CFLAGS "")
 IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
   SET(TERMIT_CFLAGS "${TERMIT_CFLAGS} -I/usr/local/include")
 ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
@@ -65,7 +65,7 @@
 ADD_EXECUTABLE(${TARGET} ${TERMIT_SRCS})
 
 IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
-    SET(TERMIT_LDFLAGS"-llua5.3")
+    SET(TERMIT_LDFLAGS"-llua5.4")
 ELSE(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
     SET(TERMIT_LDFLAGS "-ldl -lm")
 ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")

=== utils/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2007-2016 Evgeny Ratnikov
+# Copyright © 2007-2023 Evgeny Ratnikov
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
termit (3.2-1) unstable; urgency=medium

  * New upstream version 3.2
  * Remove 01-fix_TERMIT_CFLAGS.patch as it was applied upstream.
  * Update Build-Depends package version (liblua5.3-dev -> liblua5.4-dev).
  * Fix filename in d/docs.
  * Fix use of deprecated tag in termit.metainfo.xml.
  * Bump to Standards-Version 4.7.2 (no changes required).
  * Update copyright dates.

 -- Marcos Fouces <marcos@debian.org>  Fri, 19 Sep 2025 23:01:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: termit
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marcos Fouces <marcos@debian.org>
+Maintainer: Marcos Fouces <marcos@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
  libgtk-3-dev,
- liblua5.3-dev,
+ liblua5.4-dev,
  libvte-2.91-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/nonstop/termit/wiki
 Vcs-Git: https://salsa.debian.org/debian/termit.git
 Vcs-Browser: https://salsa.debian.org/debian/termit

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 DOCDIR=debian/termit/usr/share/doc/termit
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/nonstop/termit/tags .*/termit-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 15:36:08 +0000
